API ReferenceapiidentityGET /.well-known/openid-configuration

GET /.well-known/openid-configuration

Service: identity · operationId: (none)

OpenID Connect discovery document

Required scopes

(no scope declared — review service config)

Responses

200 OIDC discovery metadata

{
  "type": "object",
  "properties": {
    "issuer": {
      "type": "string"
    },
    "jwks_uri": {
      "type": "string"
    },
    "authorization_endpoint": {
      "type": "string"
    },
    "token_endpoint": {
      "type": "string"
    },
    "revocation_endpoint": {
      "type": "string"
    },
    "introspection_endpoint": {
      "type": "string"
    },
    "response_types_supported": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "subject_types_supported": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "id_token_signing_alg_values_supported": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "token_endpoint_auth_methods_supported": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "grant_types_supported": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "code_challenge_methods_supported": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "scopes_supported": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "issuer",
    "jwks_uri",
    "token_endpoint",
    "response_types_supported",
    "subject_types_supported",
    "id_token_signing_alg_values_supported",
    "token_endpoint_auth_methods_supported",
    "grant_types_supported"
  ]
}

Example

curl -X GET https://identity.platform.loop.health/.well-known/openid-configuration \
  -H "Authorization: Bearer $ACCESS_TOKEN"